Desktop application abstract controller.

This file includes `import`'s for desktop components/directives used by the HTML page and the controller to provide the configuration.

### Hierarchy

- unknown
  - AbstractDesktopController

## Index

### Constructors

- constructor

### Properties

- contextdataActive
- dataPanelActive
- drawFeatureActive
- drawLidarprofilePanelActive
- drawProfilePanelActive
- editFeatureActivate
- editFeatureActive
- editFeatureVectorLayer
- filterSelectorActive
- gmfDataSourceBeingFiltered
- gmfLayerBeingSwipe
- googleStreetViewActive
- importDataSourceActive
- loginActive
- loginInfoMessage
- mapillaryStreetViewActive
- modalShareShown
- ngeoToolActivateMgr
- postLoading
- printActive
- printPanelActive
- profileLine
- queryAutoClear
- queryGrid
- queryGridActive
- queryPanelActive
- routingPanelActive
- streetViewStyle
- toolsActive
- toolsPanelWidth

## Constructors

### constructor

- new AbstractDesktopController($scope: IScope, $injector: IInjectorService): AbstractDesktopController

- Overrides AbstractAPIController.constructor

  - Defined in src/controllers/AbstractDesktopController.js:72
  nginject

  #### Parameters

  - ##### $scope: IScope

    Scope.

  - ##### $injector: IInjectorService

    Main injector.

  #### Returns AbstractDesktopController

## Properties

### contextdataActive

contextdataActive: boolean

### dataPanelActive

dataPanelActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:90

### drawFeatureActive

drawFeatureActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:158

### drawLidarprofilePanelActive

drawLidarprofilePanelActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:508

### drawProfilePanelActive

drawProfilePanelActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:163

### editFeatureActivate

editFeatureActivate: boolean

- Defined in src/controllers/AbstractDesktopController.js:178

### editFeatureActive

editFeatureActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:110

### editFeatureVectorLayer

editFeatureVectorLayer: VectorLayer<VectorSource<Geometry>>

- Defined in src/controllers/AbstractDesktopController.js:275

### filterSelectorActive

filterSelectorActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:131

export

### gmfDataSourceBeingFiltered

gmfDataSourceBeingFiltered: any

- Defined in src/controllers/AbstractDesktopController.js:295

### gmfLayerBeingSwipe

gmfLayerBeingSwipe: any

- Defined in src/controllers/AbstractDesktopController.js:302

The gmf layer being swipe.

### googleStreetViewActive

googleStreetViewActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:120

### importDataSourceActive

importDataSourceActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:244

### loginActive

loginActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:95

### loginInfoMessage

loginInfoMessage: string

- Defined in src/controllers/AbstractDesktopController.js:192

### mapillaryStreetViewActive

mapillaryStreetViewActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:125

### modalShareShown

modalShareShown: boolean

- Defined in src/controllers/AbstractDesktopController.js:105

### ngeoToolActivateMgr

ngeoToolActivateMgr: ToolActivateMgr

- Defined in src/controllers/AbstractDesktopController.js:290

The ngeo ToolActivate manager service.

### postLoading

postLoading: boolean

- Defined in src/controllers/AbstractDesktopController.js:339

### printActive

printActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:153

### printPanelActive

printPanelActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:148

### profileLine

profileLine: LineString

- Defined in src/controllers/AbstractDesktopController.js:331

### queryAutoClear

queryAutoClear: boolean

- Defined in src/controllers/AbstractDesktopController.js:138

Set the clearing of the ngeoQuery after the deactivation of the query

### queryGrid

queryGrid: boolean

- Defined in src/controllers/AbstractDesktopController.js:78

### queryGridActive

queryGridActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:85

To toggle the activation query grid in the HTML, shouldn't be touch (it's managed by angular).

### queryPanelActive

queryPanelActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:115

### routingPanelActive

routingPanelActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:168

### streetViewStyle

streetViewStyle: Style

- Defined in src/controllers/AbstractDesktopController.js:231

### toolsActive

toolsActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:100

### toolsPanelWidth

toolsPanelWidth: number

- Defined in src/controllers/AbstractDesktopController.js:219

Generated using TypeDoc